#include <iostream>
using namespace std;
int main()
{
    int n,br=0;
    cin>>n;
    int x[n];
    int y[n];
    int z[n];
    for(int i=0;i<n;i++)
    {
        cin>>x[i];
        cin>>y[i];
        cin>>z[i];
    }
    for(int i=0;i<n;i++)
        for(int j=1;j<n;j++)
    {
        if(x[i]==y[z[j]])
            br++;
    }
    cout<<br<<endl;
    return 0;
}